LibreOffice: FileContentProvider Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
FileContentProvider Service Referencepublished

The File Content Provider (FCP) implements a ContentProvider for the UniversalContentBroker (UCB). More...

Inheritance diagram for FileContentProvider:

## Exported Interfaces
interface | com::sun::star::ucb::XContentProvider
| provides an object representing either a directory or a file in the local file system.
interface | com::sun::star::ucb::XContentIdentifierFactory
| This interface is implemented according to the specification of service ContentProvider.
interface | com::sun::star::beans::XPropertySet
| provides access to properties supported by the UCP.
interface | com::sun::star::ucb::XFileIdentifierConverter
| specifies methods to convert between (file) URLs and file paths in system dependent notation

## Additional Inherited Members
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface.
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XFileIdentifierConverter
long | getFileProviderLocality ([in] string BaseURL)
| Get information about the "locality" of a file content provider.
string | getFileURLFromSystemPath ([in] string BaseURL, [in] string SystemPath)
| converts a file path in system dependent notation to a (file) URL.
string | getSystemPathFromFileURL ([in] string URL)
| converts a (file) URL to a file path in system dependent notation.

## Detailed Description

The File Content Provider (FCP) implements a ContentProvider for the UniversalContentBroker (UCB).

The served contents enable access to the local file system.

The FCP is able to restrict access to the local file system to a number of directories shown to the client under configurable alias names.

See also
  com::sun::star::ucb::Content

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

provides access to properties supported by the UCP.

The supported properties give two kinds of meta-information about the environment of the FCP, namely property HostName containing the name of the computer, and property FileSystemNotation determining which system dependent notation the file system identifier follow.

Supported Properties

- string HostName ( read-only )
- long FileSystemNotation ( read-only, the value is one of the FileSystemNotation constants )

## ◆ com::sun::star::ucb::XContentIdentifierFactory

interface com::sun::star::ucb::XContentIdentifierFactory

This interface is implemented according to the specification of service ContentProvider.

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

provides an object representing either a directory or a file in the local file system.

See also
  com::sun::star::ucb::FileContent

## ◆ com::sun::star::ucb::XFileIdentifierConverter

interface com::sun::star::ucb::XFileIdentifierConverter

specifies methods to convert between (file) URLs and file paths in system dependent notation

The documentation for this service was generated from the following file:

- com/sun/star/ucb/FileContentProvider.idl